Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class MultirowReportConfig1

    java.lang.Object
      com.sun.mdm.index.report.ReportConfig
          com.sun.mdm.index.report.MultirowReportConfig1

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeactivateReportConfig, MultirowReportConfig2

public abstract class MultirowReportConfig1
extends ReportConfig

Base configuration class for reports that contain one object image

See Also:
  Serialized Form

Constructor Summary
`MultirowReportConfig1()`

Method Summary
`void` | `addObjectField(java.lang.String epath, java.lang.String label1, int length)` Add an Object Field.
`void` | `addTransactionField(java.lang.String field, java.lang.String label, int length)` Add a Transaction Field.
`void` | `addTransactionFieldVisibleLine1(java.lang.String field, java.lang.String label, int length)` Add a Transaction Field.
`void` | `addTransactionFieldVisibleLine2(java.lang.String field, java.lang.String label, int length)` Add a Transaction Field.
`java.lang.String` | `getObjectFieldLabel1(java.lang.String epath)` Gets the field label for an EPath.
`int` | `getObjectFieldLength(java.lang.String epath)` Gets the field length for an EPath.
`EPathArrayList` | `getObjectFields()` Gets the EPaths for all Object Fields.
`java.lang.String` | `getTransactionFieldLabel(java.lang.String field)` Gets the field label for a Transaction Field.
`int` | `getTransactionFieldLength(java.lang.String field)` Gets the field length for a Transaction Field.
`java.util.List` | `getTransactionFields()` Gets the Transaction Fields.
`boolean` | `getTransactionFieldVisibleLine1(java.lang.String field)` Gets visible line1 for a field.
`boolean` | `getTransactionFieldVisibleLine2(java.lang.String field)` Gets visible line2 for a field.

Methods inherited from class com.sun.mdm.index.report.ReportConfig
`getEndDate, getMaxResultSize, getPageSize, getStartDate, setEndDate, setMaxResultSize, setPageSize, setStartDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultirowReportConfig1

    public MultirowReportConfig1()

Method Detail

### addObjectField

    public void addObjectField(java.lang.String epath,
                               java.lang.String label1,
                               int length)
                        throws EPathException

  Add an Object Field.

  Parameters:
    `epath` - EPath of the object field.
    `label1` - Label for the field.
    `length` - Length of the field.
  Throws:
    `EPathException`

### addTransactionField

    public void addTransactionField(java.lang.String field,
                                    java.lang.String label,
                                    int length)

  Add a Transaction Field.

  Parameters:
    `field` - Name of the field.
    `label` - Label for the field.
    `length` - Length of the field.

### addTransactionFieldVisibleLine1

    public void addTransactionFieldVisibleLine1(java.lang.String field,
                                                java.lang.String label,
                                                int length)

  Add a Transaction Field.

  Parameters:
    `field` - Name of the field.
    `label` - Label for the field.
    `length` - Length of the field.

### addTransactionFieldVisibleLine2

    public void addTransactionFieldVisibleLine2(java.lang.String field,
                                                java.lang.String label,
                                                int length)

  Add a Transaction Field.

  Parameters:
    `field` - Name of the field.
    `label` - Label for the field.
    `length` - Length of the field.

### getObjectFieldLabel1

    public java.lang.String getObjectFieldLabel1(java.lang.String epath)

  Gets the field label for an EPath.

  Returns:
    Field label for an EPath.

### getObjectFieldLength

    public int getObjectFieldLength(java.lang.String epath)

  Gets the field length for an EPath.

  Returns:
    Field length for an EPath.

### getObjectFields

    public EPathArrayList getObjectFields()

  Gets the EPaths for all Object Fields.

  Returns:
    EPaths for all Object Fields.

### getTransactionFieldLabel

    public java.lang.String getTransactionFieldLabel(java.lang.String field)

  Gets the field label for a Transaction Field.

  Returns:
    Field label for a Transaction Field.

### getTransactionFieldLength

    public int getTransactionFieldLength(java.lang.String field)

  Gets the field length for a Transaction Field.

  Returns:
    Field length for a Transaction Field.

### getTransactionFields

    public java.util.List getTransactionFields()

  Gets the Transaction Fields.

  Returns:
    Transaction Fields.

### getTransactionFieldVisibleLine1

    public boolean getTransactionFieldVisibleLine1(java.lang.String field)

  Gets visible line1 for a field.

  Returns:
    Visible line1 for a field.

### getTransactionFieldVisibleLine2

    public boolean getTransactionFieldVisibleLine2(java.lang.String field)

  Gets visible line2 for a field.

  Returns:
    Visible line2 for a field.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.